de.dhbwstuttgart.syntaxtree

## Class Constructor

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GTVDeclarationContext
    - - de.dhbwstuttgart.syntaxtree.Field
      - - de.dhbwstuttgart.syntaxtree.Method
        - - de.dhbwstuttgart.syntaxtree.Constructor

- All Implemented Interfaces:
    IItemWithOffset, Generic, GenericTypeInsertable, Typeable, TypeInsertable

      public class Constructor
      extends Method

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Method` | `methode`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.Method

      `inferencelog, parameterlist, parserlog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.Field

      `declid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constructor(Method methode)` Parser kann nicht zwischen einem Konstruktor und einer Methode unterscheiden.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeAssumptions` | `createTypeAssumptions(Class classmember)` Liefert die MethodAssumption zu dieser Methode
    `void` | `setType(Type t)`
    `ConstraintsSet` | `TYPE(TypeAssumptions ass)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.Method

      `createEmptyMethod, equals, get_Block, get_ExceptionList, get_Method_Name, get_Type_Paralist, getChildren, getLineNumber, getOffset, getOverloadedID, getParameterCount, getParameterList, getType, getTypeInformation, getTypeLineNumber, getTypeName, getVariableLength, isAbstract, parserPostProcessing, printJavaCode, set_Block, set_ExceptionList, set_Method_Name, set_Modifiers, setAbstract, setLineNumber, setOffset, setOverloadedID, setParameterList, toString, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.Field

      `createTypeInsertPoint, get_Name, getDeclIdMenge, getDescription, getGenericDeclarationList, getGenericParameter, getGenericVarDeclarationOffset, getGenericVarDeclarationString, getIdentifier, isClass, isPublic, set_DeclId, setDeclIdMenge, setGenericParameter`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.GTVDeclarationContext

      `getGTVDeclarationContext`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.dhbwstuttgart.typeinference.TypeInsertable

      `createTypeInsertPoint, getIdentifier`

- - ### Field Detail

    - #### methode

          private Method methode

  - ### Constructor Detail

    - #### Constructor

          public Constructor(Method methode)

      Parser kann nicht zwischen einem Konstruktor und einer Methode unterscheiden. Diese Klasse beherbegt den als Methode geparsten Konstruktor und wandelt sein verhalten zu dem eines Konstruktors ab.

  - ### Method Detail

    - #### createTypeAssumptions

          public TypeAssumptions createTypeAssumptions(Class classmember)

      Description copied from class: `Method`
      Liefert die MethodAssumption zu dieser Methode
      Overrides:
        `createTypeAssumptions` in class `Method`
      Returns:

    - #### TYPE

          public ConstraintsSet TYPE(TypeAssumptions ass)

      Overrides:
        `TYPE` in class `Method`

    - #### setType

          public void setType(Type t)

      Specified by:
        `setType` in interface `Typeable`
      Overrides:
        `setType` in class `Method`
      Parameters:
        `t` - Der Typ der Typable-Expression/Statement